Name:           cbootimage
Version:        1.8
Release:        5%{?dist}
Summary:       	Tools to dump and generate boot config table on Tegra devices

License:        GPLv2
URL:            https://github.com/NVIDIA/cbootimage
Source0:        %{url}/archive/v%{version}/%{name}-%{version}.tar.gz
BuildRequires:  libtool



%description
This package contains two programs to parse the boot config table (bct)
of Tegra SoC based devices and to generate a new bct with appended
bootloader (e.g. u-boot) read to be flashed to a storage device.
The boot config table is used in the early boot process to setup the sdhci,
DRAM memory controller and also points to the position of the bootloader.

For more information, see:
http://http.download.nvidia.com/tegra-public-appnotes/bct-overview.html


%prep
%autosetup -n %{name}-%{version}


%build
autoreconf -vif
%configure
make %{?_smp_mflags}


%install
%make_install


%files
%doc COPYING
%{_bindir}/bct_dump
%{_bindir}/cbootimage
%{_mandir}/man1/*.1.*

%changelog
* Tue Jan 28 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.8-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Wed Jul 24 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.8-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Thu Jan 31 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.8-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Thu Jul 12 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.8-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Mon Jun 18 2018 Jiri Kastner <jkastner@redhat.com> - 1.8-1
- update to 1.8 (RHBZ#1592455)

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.7-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Aug 02 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.7-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.7-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Fri Feb 19 2016 Nicolas Chauvet <kwizart@gmail.com> - 1.7-1
- Update to 1.7

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Tue Oct 20 2015 Nicolas Chauvet <kwizart@gmail.com> - 1.6-1
- Update to 1.6

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Fri Aug 15 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Thu Jul 17 2014 Nicolas Chauvet <kwizart@gmail.com> - 1.4-1
- Update to 1.4 - adds Tegra132 support

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Wed Apr 16 2014 Nicolas Chauvet <kwizart@gmail.com> - 1.3-1
- Update to 1.3

* Sat Oct 05 2013 Nicolas Chauvet <kwizart@gmail.com> - 1.2-1
- Update to 1.2

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Sun Apr 21 2013 Nicolas Chauvet <kwizart@gmail.com> - 1.0-2
- Update license field as GPLv2 Only
- Add source checkout description
- Spec Clean-up
- Update description

* Sat Apr 20 2013 Nicolas Chauvet <kwizart@gmail.com> - 1.0-1
- Initial package

